#
# spec file for package perl-Params-Validate (Version 0.91)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Params-Validate
Url:            http://cpan.org/modules/by-module/Params/
License:        GPL v2 or later
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
#Conflicts:    perlmod
AutoReqProv:    on
Version:        0.91
Release:        1.4
Source:         Params-Validate-%{version}.tar.bz2
Summary:        provides a system for validation method/function call parameters
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.  The validation can be as simple as
checking for the presence of required parameters or as complex as
validating object classes (via isa) or capabilities (via can), checking
parameter types, and using customized callbacks to ensure data
integrity.



Authors:
--------
    Dave Rolsky

%prep 
%setup -q -n Params-Validate-%{version}

%build
perl Makefile.PL 
make 

%install
#make install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_mandir}/man3/*
%doc MANIFEST README Changes
/var/adm/perl-modules/%{name}
%dir %{perl_vendorarch}/Attribute
%{perl_vendorarch}/Attribute/Params
%{perl_vendorarch}/Params
%{perl_vendorarch}/auto/Params
%{_mandir}/man3/*.3pm.gz

%changelog
* Thu Jun 19 2008 anicka@suse.cz
- update to 0.91
  * The fix for handling @_'s readonly-ness introduced a refcounting
  bug. One symptom of this was a failing Log::Dispatch test.
  * Make the XS version of Params::Validate recognize regexp objects
  with Perl 5.11.0-to-be.
  * With the XS version, when you passed @_ directly to validate() and
  then got a hash reference back, the values of that hash reference
  would be marked readonly.
* Thu Nov  1 2007 anicka@suse.cz
- update to 0.89
  * With validation turned off, the pure Perl version incorrectly
  ignored an odd number of parameters when a hash was expected (no
  validation still does the bare minimum of checks needed to set
  defaults).
  * Added pod & pod coverage tests.
  * Modernized test suite to use Test::More and fixed some test suite
  bugs along the way.
  * Attribute::Params::Validate would die when given a ValidatePos
  attribute containing one element.
  * More tests are skipped on 5.6.0.
* Thu Mar  8 2007 anicka@suse.cz
- update to 0.88
  * The XS version threw an error when it attempted to do "isa" or
    "can" validation on a value that was not a string or object,
    such as undef or a number.
* Thu Jan 25 2007 anicka@suse.cz
- update to 0.87
  * When determining the caller of a function in the XS version, use
    Perl's caller() function rather than CopSTASHPV. The caller()
    function apparently ignores the DB package, whereas the latter
    doesn't. This caused validate_options to be ignored when running
    under profiling (and probably the debugger as well).
* Thu Oct  5 2006 anicka@suse.cz
- update to 0.86
  * Only turn inlining on if __GNUC__ is defined
  * Removed spaces in #define, #ifdef, etc
  * If a type is specified as a string ('SCALAR', not SCALAR),
    this is now caught and a useful error is thrown.
* Fri Sep 29 2006 anicka@suse.cz
- update to 0.84
  * XS version uses Carp::confess instead of Carp::croak
  * bugfixes
  * speed optimalizations
- remove last patch (fixed in upstream)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 sf@suse.de
- update to 0.79
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sun Jul 31 2005 cthiel@suse.de
- update to version 0.78
* Thu Jul  7 2005 pth@suse.de
- Update to 0.77
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 ro@suse.de
- install to vendor location
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Mon May 26 2003 ro@suse.de
- remove unpackaged files from buildroot
* Thu Mar 21 2002 sf@suse.de
-  initial versio 0.14
